Support » Plugin: WooCommerce Square » Plugin breaks site once installed. Please help!

  • Resolved miguel1876

    (@miguel1876)


    Hi there.

    Once I installed the Plugin and connected to square.com, my site broke and showed a error: https://imgur.com/a/HIMnUqf
    The only way I could regain access to the Dashboard was to rename the Plugin via FTP. I disabled all plugins and tried again, same issue happened.
    Once I logged in to WordPress in recovery mode, I saw the actual error log:

    Error Details
    =============
    An error of type E_ERROR was caused in line 174 of the file /home/s762/html/wp-content/plugins/woocommerce-square/includes/Plugin.php. Error message: Uncaught Error: Call to a member function is_debug_enabled() on null in /home/s762/html/wp-content/plugins/woocommerce-square/includes/Plugin.php:174
    Stack trace:
    #0 /home/s762/html/wp-includes/class-wp-hook.php(288): WooCommerce\Square\Plugin->log_api_request(Array, Array)
    #1 /home/s762/html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters('', Array)
    #2 /home/s762/html/wp-includes/plugin.php(465): WP_Hook->do_action(Array)
    #3 /home/s762/html/wp-content/plugins/woocommerce-square/vendor/skyverge/wc-plugin-framework/woocommerce/api/class-sv-wc-api-base.php(294): do_action('wc_square_api_r...', Array, Array, Object(WooCommerce\Square\API))
    #4 /home/s762/html/wp-content/plugins/woocommerce-square/includes/API.php(772): SkyVerge\WooCommerce\PluginFramework\v5_4_0\SV_WC_API_Base->broadcast_request()
    #5 /home/s762/html/wp-content/plugins/woocommerce-square/includes/API.php(735): WooCommerce\Square\API->handle_response(NULL)
    #6 /home/s762/html/wp-content/plugins/woocommerce-square/includes/API.php(599): Wo

    Please note that the Plugin I installed was brand new version provided by Square. Version 2.0.0-dev.4

    Please please help! Thank you

Viewing 8 replies - 1 through 8 (of 8 total)
  • kmmathis

    (@wereallthieves)

    I’m getting the same exact error. I tested on the latest version of WordPress (5.2.2) with the latest version of WooCommerce (3.6.5) and the latest version of the Square plugin (2.0.0-dev.4). I’m using the default twentynineteen theme, and there are no other plugins activated.

    kmmathis

    (@wereallthieves)

    I put a return false; statement on line 173 of Plugin.php just to exit out of the log_api_request function that seems to be causing the issue. So far so good.

    Thread Starter miguel1876

    (@miguel1876)

    @wereallthieves Thank you for your reply… where is plugin.php?
    I looked at plugin.php in wp-includes.php but line 173 is commented out.
    Can you kindly provide details?

    Thanks

    kmmathis

    (@wereallthieves)

    The path to the file is in the first line of your error details above

    An error of type E_ERROR was caused in line 174 of the file /home/s762/html/wp-content/plugins/woocommerce-square/includes/Plugin.php

    Thread Starter miguel1876

    (@miguel1876)

    @wereallthieves So sorry for waisting your time with that question. I realized my mistake after I posted the question.
    Your fix worked well for now. Hopefully the developers will provide a permanent fix.

    Thanks again

    Plugin Support Luminus Alabi a11n

    (@luminus)

    Automattic Happiness Engineer

    Hi @miguel1876 @wereallthieves,

    Can y’all tell me where you’re getting version 2.0.0-dev.4 of the plugin from when the most recent version is 1.0.38 and was only released a few days ago?

    Perhaps that will provide a pointer to the issue you’re facing here.

    I’m glad to hear that you’ve got a workaround in place, though. However, I’d recommend testing version 1.0.38 of the plugin on a site in your dev or staging environment to see how it behaves.

    Thread Starter miguel1876

    (@miguel1876)

    @luminus It was provided by our account manager from Square and developed by WooCommerce.

    Plugin Support Grigorij S. a11n

    (@grigaswp)

    Hi there,

    Version 2.0.0-dev.4 is not an official version of Square for WooCommerce plugin and I was not able to locate this version in our Square GitHub repository.

    Please use this plugin instead:

    https://woocommerce.com/products/square/

    Since this thread doesn’t seem to be related to our plugin – I’ll be marking this thread as resolved.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Plugin breaks site once installed. Please help!’ is closed to new replies.